libzypp: zypp::_logtoolsdetail::DumpMap< TMap > Class Template Reference

libzypp 17.36.6

Classes | Public Types | Public Member Functions | Private Attributes | Related Symbols | List of all members
zypp::_logtoolsdetail::DumpMap< TMap > Class Template Reference

std::map wrapper for stream output. More...

`#include <zypp-core/base/LogTools.h>`

## Classes
struct | Transformer

## Public Types
using | MapType = TMap
using | PairType = typename TMap::value_type
using | MapEntryType = MapEntry<PairType>
using | MapEntry_const_iterator = transform_iterator<Transformer, typename MapType::const_iterator>

## Public Member Functions
| DumpMap (const TMap &map_r)
const TMap & | map () const
MapEntry_const_iterator | begin () const
MapEntry_const_iterator | end () const

## Private Attributes
const TMap *const | _map

## Related Symbols
(Note that these are not member symbols.)
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpMap< TMap > &obj)
| Stream output.
template<class TMap>
DumpMap< TMap > | dumpMap (const TMap &map_r)
| Convenience function to create DumpMap from std::map.

## Detailed Description

template<class TMap>
class zypp::_logtoolsdetail::DumpMap< TMap >

std::map wrapper for stream output.

Uses a transform_iterator to wrap the std::pair into MapEntry.

Definition at line 266 of file LogTools.h.

## Member Typedef Documentation

## ◆ MapType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapType = TMap

Definition at line 269 of file LogTools.h.

## ◆ PairType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::PairType = typename TMap::value_type

Definition at line 270 of file LogTools.h.

## ◆ MapEntryType

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapEntryType = MapEntry<PairType>

Definition at line 271 of file LogTools.h.

## ◆ MapEntry_const_iterator

template<class TMap>

using zypp::_logtoolsdetail::DumpMap< TMap >::MapEntry_const_iterator = transform_iterator<Transformer, typename MapType::const_iterator>

Definition at line 279 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ DumpMap()

template<class TMap>

zypp::_logtoolsdetail::DumpMap< TMap >::DumpMap | ( | const TMap & | map_r | ) |
| inline

Definition at line 282 of file LogTools.h.

## Member Function Documentation

## ◆ map()

template<class TMap>

const TMap & zypp::_logtoolsdetail::DumpMap< TMap >::map | ( |  | ) | const
| inline

Definition at line 286 of file LogTools.h.

## ◆ begin()

template<class TMap>

MapEntry_const_iterator zypp::_logtoolsdetail::DumpMap< TMap >::begin | ( |  | ) | const
| inline

Definition at line 289 of file LogTools.h.

## ◆ end()

template<class TMap>

MapEntry_const_iterator zypp::_logtoolsdetail::DumpMap< TMap >::end | ( |  | ) | const
| inline

Definition at line 292 of file LogTools.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

template<class TMap>

std::ostream & operator<< | ( | std::ostream & | str,
|  | const DumpMap< TMap > & | obj )
| related

Stream output.

Definition at line 301 of file LogTools.h.

## ◆ dumpMap()

template<class TMap>

DumpMap< TMap > dumpMap | ( | const TMap & | map_r | ) |
| related

Convenience function to create DumpMap from std::map.

Definition at line 306 of file LogTools.h.

## Member Data Documentation

## ◆ _map

template<class TMap>

const TMap* const zypp::_logtoolsdetail::DumpMap< TMap >::_map
| private

Definition at line 296 of file LogTools.h.

The documentation for this class was generated from the following file:

- zypp-core/base/LogTools.h